# Get accounting event type Get a specific accounting event type by its ID. Refer to the [Search for accounting event types](doc:search-for-accounting-event-types) for more information. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounting", "version": "1.0.0", "description": "API used to manage the accounting context", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accounting", "description": "Sandbox API server for testing" } ], "components": { "schemas": { "EventType": { "required": [ "id", "description" ], "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Event type ID" }, "description": { "type": "string", "maximum": 100, "description": "Event type description" } }, "example": { "id": 101, "description": "CREDIT" } } } }, "tags": [ { "name": "Accounting event types", "description": "Endpoints to manage accounting event types" } ], "paths": { "/v1/event-types/{eventTypeId}": { "get": { "operationId": "GetEventTypeById", "summary": "Get accounting event type", "description": "Get a specific accounting event type by its ID.\n\nRefer to the [Search for accounting event types](https://developers.pismo.io/pismo-docs/docs/search-for-accounting-event-types) for more information.\n", "tags": [ "Accounting event types" ], "parameters": [ { "in": "path", "name": "eventTypeId", "schema": { "type": "integer", "format": "int64" }, "required": true, "description": "Event type ID" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EventType" } } } }, "404": { "description": "Event type not found" } }, "deprecated": false } } } } ```